#import "TableViewAppDelegate.h"
#import "TableViewViewController.h"

@implementation TableViewAppDelegate

@synthesize window;
@synthesize viewController;


-(void)applicationDidFinishLaunching:(UIApplication *)application {
	// evtl abgespeicherte Daten wieder reinladen
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];

	NSDictionary *dict = [NSDictionary dictionaryWithObjectsAndKeys:
						  [NSKeyedArchiver archivedDataWithRootObject:[NSArray array]], @"entryItems",
						  nil];
	[defaults registerDefaults:dict];

	[window addSubview: viewController.view];
	[window makeKeyAndVisible];
	
}

-(void)applicationWillTerminate:(UIApplication *)application {
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
	NSData *archiv = [NSKeyedArchiver archivedDataWithRootObject:tableViewController.entries];
	[defaults setObject:archiv forKey:@"entryItems"];
	
}


- (void)dealloc {
    [viewController release];
    [window release];
    [super dealloc];
}


@end
